Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000172Bananian Linux[All Projects] Kernelpublic2015-10-06 01:072015-12-20 23:06
Reporterxnyle 
Assigned ToNico 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionKernel 4.2 
Target VersionKernel 4.3Fixed in VersionKernel 4.3 
Summary0000172: Kernel 4.x is missing USB network driver modules
DescriptionIn my case the asix driver is missing for a second usb network interface.

In general there are currently no modules compiled/provider in kernel/drivers/net
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000291)
xnyle (reporter)
2015-10-06 01:10

err, ... compiled/provided in kernel/drivers/net/usb
(0000292)
xnyle (reporter)
2015-10-06 01:15

BTW, does anyone have a link to a resource describing how to patch / cross-compile mainline kernel 4.x?
(0000293)
schneckchen (reporter)
2015-10-06 08:31

In my case some media modules are missing (DVB). I think all 4.x kernel images are affected.

It seems that a lot of modules are missing:

root@bananapi ..odules/3.4.108-bananian/kernel/drivers # ls
block char gpu hid i2c md mfd mmc net pps regulator spi staging tty usb watchdog bluetooth cpufreq gsensor hwmon input media misc mtd parport ptp scsi ssb target uio video

root@bananapi ..odules/4.1.5-bananian/kernel/drivers # ls
bcma block bluetooth cdrom char cpufreq extcon gpio hid hwmon input leds md mfd misc net power regulator rtc scsi ssb staging tty usb video w1

- Issue History
Date Modified Username Field Change
2015-10-06 01:07 xnyle New Issue
2015-10-06 01:10 xnyle Note Added: 0000291
2015-10-06 01:15 xnyle Note Added: 0000292
2015-10-06 08:31 schneckchen Note Added: 0000293
2015-11-17 18:18 Nico Assigned To => Nico
2015-11-17 18:18 Nico Status new => assigned
2015-11-17 18:18 Nico Target Version => 16.04
2015-12-20 23:06 Nico Target Version 16.04 => Kernel 4.3
2015-12-20 23:06 Nico Status assigned => resolved
2015-12-20 23:06 Nico Fixed in Version => Kernel 4.3
2015-12-20 23:06 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker